Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 267405 - dev-libs/redland-1.0.9 doesn't respect LDFLAGS
Summary: dev-libs/redland-1.0.9 doesn't respect LDFLAGS
Status: VERIFIED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: [OLD] Library (show other bugs)
Hardware: All Linux
: High QA (vote)
Assignee: Gentoo Sound Team
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: ldflags
  Show dependency tree
 
Reported: 2009-04-25 10:54 UTC by Davide Pesavento
Modified: 2010-08-09 21:00 UTC (History)
0 users

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Davide Pesavento gentoo-dev 2009-04-25 10:54:03 UTC
QA Notice: Files built without respecting LDFLAGS have been detected
 Please include the following list of files in your report:
/usr/lib64/redland/librdf_storage_sqlite.so
Comment 1 Samuli Suominen gentoo-dev 2009-06-06 12:39:22 UTC
+  06 Jun 2009; Samuli Suominen <ssuominen@gentoo.org> redland-1.0.9.ebuild,
+  +files/redland-1.0.9-ldflags.patch:
+  Respect LDFLAGS wrt #267405, thanks to Davide Pesavento for reporting.

Had to upgrade Portage and add hash-style gnu to find the result but finally got it :-)

Thanks for reporting
Comment 2 Samuli Suominen gentoo-dev 2009-06-06 12:45:32 UTC
15:47 < CIA-67> redland: laalto * r15212 librdf/configure.ac: Default to environment 
                LIBS, CPPFLAGS, LDFLAGS. Addresses issue at 
                http://bugs.gentoo.org/show_bug.cgi?id=267405


I got it committed also upstream..